# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Classes | Public Member Functions | Private Attributes | List of all members
dirac::CommandLine Class Reference

`#include <cmd_line.h>`

## Classes
struct | option

## Public Member Functions
| CommandLine (int argc, char *argv[], const std::set< std::string > &bool_opts)
| Constructor. More...
const std::vector< option > & | GetOptions () const
const std::vector< std::string > & | GetInputs () const
size_t | Count () const

## Private Attributes
std::vector< option > | m_options
std::vector< std::string > | m_inputs
const std::set< std::string > & | m_bool_opts

## Constructor & Destructor Documentation

## ◆ CommandLine()

dirac::CommandLine::CommandLine | ( | int | argc,
|  | char * | argv[],
|  | const std::set< std::string > & | bool_opts
| ) |  |

## Member Function Documentation

## ◆ Count()

size_t dirac::CommandLine::Count | ( |  | ) | const
| inline

References m_options.

## ◆ GetInputs()

const std::vector< std::string > & dirac::CommandLine::GetInputs | ( |  | ) | const
| inline

References m_inputs.

## ◆ GetOptions()

const std::vector< option > & dirac::CommandLine::GetOptions | ( |  | ) | const
| inline

References m_options.

## Member Data Documentation

## ◆ m_bool_opts

const std::set<std::string>& dirac::CommandLine::m_bool_opts
| private

## ◆ m_inputs

std::vector<std::string> dirac::CommandLine::m_inputs
| private

Referenced by GetInputs().

## ◆ m_options

std::vector<option> dirac::CommandLine::m_options
| private

Referenced by Count(), and GetOptions().

The documentation for this class was generated from the following file:

- cmd_line.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.